/*---------------------------------------------------------------------------\
| Project:  PIC18F458 CAN Node Core Firmware
|
| File:     handlers.c
|
| Descr.:   Application specific code which must be executed on an interrupt.
|           Essentially, these are "hooks" into the core's interrupt service
|           routines.
|
|           YOU SHOULD MODIFIY THIS FILE FOR YOUR APPLICATION, ALONG WITH
|           THE CONFIG.H FILE. FEEL FREE TO EVEN CUT AND COPY THESE FUNCTIONS
|           TO OTHER FILES.
|
|           HOWEVER, DO *NOT* CHANGE THE #IF, OR THE NAME AND TYPE OF THE
|           HANDLER FUNCTIONS.
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 09/07/2002 | Created to store examples of handlers.
\---------------------------------------------------------------------------*/

#include ".\piccore\core.h"




/*---------------------------------------------------------------------------\
| Function:     Timer2ApplicationHandler
|
| Purpose:      Applicationh specific handler for Timer2 interrupt
|
| Discussion:   APPLICATION: INSERT DESCRIPTION HERE
|
|
| Expects:      -
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 08/10/2002 | Created.
\---------------------------------------------------------------------------*/

#if INTS_TIMER2_APPLICATION_HOOK == INTS_HOOK_ENABLED

void Timer2ApplicationHandler (void)
{

    timer2Tick = 1;

}

#endif


/*---------------------------------------------------------------------------\
| Function:     Int0ApplicationHandler
|
| Purpose:      Applicationh specific handler for INT0 (PORT B, pin RB0)
|               interrupt.
|
| Discussion:   APPLICATION: INSERT DESCRIPTION HERE
|
|
| Expects:      -
|
|    Date    | Notes
|------------|------------------------------------------------------------
| 08/10/2002 | Created.
\---------------------------------------------------------------------------*/

#if INTS_INT0_APPLICATION_HOOK == INTS_HOOK_ENABLED

void Int0ApplicationHandler (void)
{

    asm("NOP");

}

#endif
